Bug 14925 - bn_*: LC_IDENTIFICATION.language key should be "Bangla"
Summary: bn_*: LC_IDENTIFICATION.language key should be "Bangla"
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.18
: P2 normal
Target Milestone: 2.27
Assignee: Mike FABIAN
URL: http://unicode.org/cldr/trac/ticket/9373
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-06 22:01 UTC by Michael Terry
Modified: 2017-09-09 11:09 UTC (History)
4 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Proposed patch (582 bytes, patch)
2012-12-06 22:19 UTC, Michael Terry
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Terry 2012-12-06 22:01:54 UTC
The current language key for bn_BD is "Bengali/Bangla" and for bn_ID it's "Bengali".  Apparently, Bengali is an older colonial word.  Whereas Bangla is the more modern and official version.  It's widely used in the English-speaking world too (UN, BBC, Windows 8).

I'm passing this along from an Ubuntu report.  I myself am not well versed in the naming issue.  See https://launchpad.net/bugs/991002 and https://launchpad.net/bugs/1070581

(At the least, the slash in "Bengali/Bangla" needs to be escaped, but changing the name to not need a slash is preferrable.)

Patch coming.
Comment 1 Michael Terry 2012-12-06 22:19:17 UTC
Created attachment 6774 [details]
Proposed patch

Patch by Gunnar Hjalmarsson.
Comment 2 Mike Frysinger 2016-04-15 18:05:38 UTC
this has semi-changed with:
https://sourceware.org/git/?p=glibc.git;a=commit;h=ff01283962335e937f91c675c37063419235d5b4

keep in mind that LC_IDENTIFICATION.language uses the "commonly accepted" English name for the language, not the localized name for the language.  instead, LC_ADDRESS.lang_name is used to hold the localized name.

we are sourcing LC_IDENTIFICATION.language from Unicode's CLDR project now though, so if you want to get the English translation changed, i'd recommend you look into getting it changed there:
  http://cldr.unicode.org/
Comment 3 Gunnar Hjalmarsson 2016-04-16 01:36:12 UTC
Well, Mike, I'm pretty sure that the change won't make the reporters of <https://launchpad.net/bugs/991002> happy. ;)

In response to that bug report, I made considerable efforts to have Ubuntu use "Bangla" instead of "Bengali". In addition to Ubuntu specific changes, I can mention that Debian's iso-codes package now includes the "common_name" Bangla:

$ cat /usr/share/xml/iso-codes/iso_639.xml | grep -C 3 '"bn"'
	<iso_639_entry
		iso_639_2B_code="ben"
		iso_639_2T_code="ben"
		iso_639_1_code="bn"
		name="Bengali"
		common_name="Bangla" />
	<iso_639_entry

xkeyboard-config has also been changed:

https://cgit.freedesktop.org/xkeyboard-config/commit/?id=a224a636139d22e1dc7ca7d23782cd656e87bcf5

So keeping "Bengali" in glibc would be an undesirable inconsistency at this time. Please note that "Bangla" is not the localized name of the language; it's the new English name.

Changing the name of a language has hit several stumbling blocks; still hoping that glibc won't be one of those. Please note that this is considered important to those who have most involvement.

I reopened this bug report, and kindly ask you to consider an exception in this case.

(I may try to file a ticket at Unicode CLDR, if I can figure out how.)
Comment 4 Chris Leonard 2016-04-16 04:11:25 UTC
I'm not convinced that CLDR is on the right side of this one.  I'd like to see getting it changed there explored before closing it here.
Comment 5 Chris Leonard 2016-04-16 04:19:36 UTC
(In reply to Gunnar Hjalmarsson from comment #3)
> Well, Mike, I'm pretty sure that the change won't make the reporters of
> <https://launchpad.net/bugs/991002> happy. ;)
> 
> 
> (I may try to file a ticket at Unicode CLDR, if I can figure out how.)



http://cldr.unicode.org/development/development-process#TOC-Filing-tickets
Comment 6 Chris Leonard 2016-04-16 04:22:31 UTC
(In reply to Chris Leonard from comment #5)
> (In reply to Gunnar Hjalmarsson from comment #3)
> > Well, Mike, I'm pretty sure that the change won't make the reporters of
> > <https://launchpad.net/bugs/991002> happy. ;)
> > 
> > 
> > (I may try to file a ticket at Unicode CLDR, if I can figure out how.)
> 
> 
> 
> http://cldr.unicode.org/development/development-process#TOC-Filing-tickets

http://unicode.org/cldr/trac/newticket
Comment 7 Mike Frysinger 2016-04-16 04:40:12 UTC
(In reply to Gunnar Hjalmarsson from comment #3)

the answer is still the same -- CLDR is the upstream of these data values, not glibc.  you should get the fixes made there.  once you do, your impact is wider too as CLDR is used by many companies & services way beyond glibc.

we don't want to carry custom/hand-maintained values anymore.
Comment 8 Gunnar Hjalmarsson 2016-04-17 03:25:58 UTC
I have filed a CLDR ticket:

http://unicode.org/cldr/trac/ticket/9373
Comment 9 Gunnar Hjalmarsson 2016-04-27 16:57:34 UTC
Seems like there is some progress at the upstream ticket. :)
Comment 10 Chris Leonard 2016-04-28 04:12:58 UTC
with these changes reflected on the upstream ticket

Status changed from new to accepted
Milestone changed from UNSCH to 30 

I think we should proceed on the assumption that this change will be made in the upstream and there is no need to wait on this anymore.
Comment 11 Gunnar Hjalmarsson 2016-05-01 03:16:22 UTC
No need to assume any longer. It was fixed upstream last Friday.
Comment 12 Mike Frysinger 2016-05-01 19:09:38 UTC
(In reply to Chris Leonard from comment #10)

https://sourceware.org/ml/libc-alpha/2016-04/msg00443.html
Comment 13 Gunnar Hjalmarsson 2017-07-05 20:04:30 UTC
Seeing at other bug reports that some updates have been made recently to comply with CLDR, and it would be great if someone could revisit this one and change the language name to "Bangla" as originally requested. As already stated, the change has been made in CLDR.
Comment 14 Mike FABIAN 2017-09-09 10:06:45 UTC
(In reply to Gunnar Hjalmarsson from comment #13)
> Seeing at other bug reports that some updates have been made recently to
> comply with CLDR, and it would be great if someone could revisit this one
> and change the language name to "Bangla" as originally requested. As already
> stated, the change has been made in CLDR.

This has been mostly fixed by this commit:

commit 54d68f5f61fc016b18101a822f9343a612ad1bc0
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Mon Aug 14 19:48:27 2017 +0200

    Change language name in LC_IDENTIFICATION of bn_BD and bn_IN from “Bengali” to “Bangla”
    
            [BZ #14925]
            * locales/bn_BD (LC_IDENTIFICATION): Change language name in
            “title” and “language” from Bengali to Bangla.
            * locales/bn_IN (LC_IDENTIFICATION): Likewise.


But when checking again now, I found that “Bengali” was still there
in a few comments in bn_BD, in iso-639.def and in a test input file.
I am changing it there as well.
Comment 15 cvs-commit@gcc.gnu.org 2017-09-09 10:42:37 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  96480903ab6f16cba475c02e32827fa4bf2b62b7 (commit)
      from  4c03a696800e3bb4b433626a65c4fef465dcc98b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=96480903ab6f16cba475c02e32827fa4bf2b62b7

commit 96480903ab6f16cba475c02e32827fa4bf2b62b7
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Sat Sep 9 12:01:06 2017 +0200

    Finish change from “Bengali” to “Bangla”
    
    “Bengali” still remained in some comments in the bn_BD locale file,
    in iso-639.def and in a test input file. Change it there as well.
    “Bangla” is now used as the English name for this language in CLDR.
    
    	[BZ #14925]
    	* libio/tst-widetext.input: Change “Bengali” to “Bangla”.
    	* locale/iso-639.def: Change “Bengali” to “Bangla”.
    	* localedata/locales/bn_BD: “Bengali” was still used in some
    	comments. Change it to “Bangla”.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                |    8 ++++++++
 libio/tst-widetext.input |    2 +-
 locale/iso-639.def       |    2 +-
 localedata/locales/bn_BD |    6 ++----
 4 files changed, 12 insertions(+), 6 deletions(-)
Comment 16 Mike FABIAN 2017-09-09 11:09:03 UTC
FIXED.